MKE2FS(8)

NAME
mke2fs - create a Linux second extended file system

SYNOPSIS
mke2fs [ -c | -l filename ] [ -b block-size ] [ -f fragment-size ] [ -i bytes-per-inode ] [ -m reserved-blocks-percentage ] [ -o creator-os ] [ -q ] [ -r fs-revision-level ] [ -R raid_options ] [ -s sparse-super-flag ] [ -v ] [ -F ] [ -L volume-label ] [ -M last-mounted-directory ] [ -S ] device [ blocks-count ]

DESCRIPTION
mke2fs is used to create a Linux second extended file system on a device (usually a disk partition).
device is the special file corresponding to the device (e.g /dev/hdXX).
blocks-count is the number of blocks on the device. If omitted, mke2fs automagically figures the file system size.

OPTIONS

-b block-size
    Specify the size of blocks in bytes.

-c  Check the device for bad blocks before creating the file system, using a fast read-only test.

-f fragment-size
    Specify the size of fragments in bytes.

-i bytes-per-inode
    Specify the bytes/inode ratio. mke2fs creates an inode for every bytes-per-inode bytes of space on the disk. This value defaults to 4096 bytes. bytes-per-inode must be at least 1024.

-l filename
    Read the bad blocks list from filename .

-m reserved-blocks-percentage
    Specify the percentage of reserved blocks for the super-user. This value defaults to 5%.

-o  Manually override the default value of the "creator os" field of the filesystem. Normally the creator field is set by default to the native OS of the mke2fs executable.

-q  Quiet execution. Useful if mke2fs is run in a script.

-s sparse-super-flag
    If sparse-super-flag is 1, then turn on the sparse superblock flag. If 0, then turn off the sparse superblock flag. (Currently, the sparse superblock flag defaults to off.) Warning: The Linux 2.0 kernel does not properly support this feature. Neither do all Linux 2.1 kernels; please don't use this unless you know what you're doing!

-v  Verbose execution.

-F  Force mke2fs to run, even if the specified device is not a block special device.

-L  Set the volume label for the filesystem.

-M  Set the last mounted directory for the filesystem. This might be useful for the sake of utilities that key off of the last mounted directory to determine where the filesytem should be mounted.

-r revision
    Set the filesystem revision for the new filesystem. Note that 1.2 kernels only support revision 0 filesystems.

-R raid_options
    Set raid-related options for the filesystem. Raid options are common separated, and may take an argument using the equals ('=') sign. Currently the only supported argument is stride which takes as its argument the number of blocks in a RAID stripe.

-S  Write superblock and group descriptors only. This is useful if all of the superblock and backup superblocks are corrupted, and a last-ditch recovery method is desired. It causes mke2fs to reinitialize the superblock and group descriptors, while not touching the inode table and the block and inode bitmaps. The e2fsck program should be run immediately after this option is used, and there is no guarantee that any data will be salvageable.

AUTHOR
This version of mke2fs has been written by Theodore Ts'o <tytso@mit.edu>.

BUGS
mke2fs accepts the -f option but currently ignores it because the second extended file system does not support fragments yet.
There may be some other ones. Please, report them to the author.

AVAILABILITY
mke2fs is available for anonymous ftp from ftp.ibp.fr and tsx-11.mit.edu in /pub/linux/packages/ext2fs.

SEE ALSO
dumpe2fs(8), e2fsck(8), tune2fs(8)